<template>
  <div class="flex align-items-center justify-content-center pt-8">
    <div class="surface-card p-4 shadow-2 border-round w-full lg:w-6 ml-4 mr-4">
      <div class="text-center mb-5">
        <img
          src="@/assets/logos/hyper.svg"
          alt="Image"
          height="50"
          class="mb-3"
        />
        <div class="text-900 text-3xl font-medium mb-3">Welcome Back</div>
        <span class="text-600 font-medium line-height-3"
          >Don't have an account?</span
        >
        <router-link
          :to="{ name: 'Register' }"
          class="font-medium no-underline text-blue-500 cursor-pointer"
        >
          Create today!
        </router-link>
      </div>

      <div>
        <form @submit.prevent="login">
          <Message
            @close="isCredentialsInvalid = false"
            v-if="isCredentialsInvalid"
            severity="error"
            >Invalid email or password</Message
          >
          <label for="email" class="block text-900 font-medium mb-2"
            >Email</label
          >
          <InputText
            v-model="email"
            id="email"
            type="text"
            class="w-full mb-3"
          />

          <label for="password" class="block text-900 font-medium mb-2"
            >Password</label
          >
          <InputText
            v-model="password"
            id="password"
            type="password"
            class="w-full mb-3"
          />

          <div class="flex align-items-center justify-content-end mb-6">
            <router-link
              :to="{ name: 'ForgotPassword' }"
              class="
                font-medium
                no-underline
                ml-2
                text-blue-500 text-right
                cursor-pointer
              "
            >
              Forgot your password?
            </router-link>
          </div>
          <Button
            type="submit"
            label="Sign In"
            icon="pi pi-user"
            class="w-full"
          ></Button>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import authService from "@/services/auth/auth-service";

export default {
  name: "Login",
  data() {
    return {
      email: "",
      password: "",
      isCredentialsInvalid: false,
    };
  },
  methods: {
    async login() {
      try {
        const userCredential = await authService.login(
          this.email,
          this.password
        );
        this.$router.replace({ name: "Home" });
      } catch (e) {
        this.isCredentialsInvalid = true;
        this.email = "";
        this.password = "";
      }
    },
  },
};
</script>

<style scoped>
</style>